Bug 51613 - FILESAVE: Saving Mean Value Lines in XLS/X format not possible
Summary: FILESAVE: Saving Mean Value Lines in XLS/X format not possible
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2012-07-01 03:22 UTC by Cornelius
Modified: 2020-06-13 03:42 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
picture shows a shart with mean value lines after saving xls file. (315.80 KB, image/jpeg)
2012-09-06 19:25 UTC, Cornelius
Details
after reopen saved file the mean value line is not visible (i.e.lost) (257.66 KB, image/jpeg)
2012-09-06 19:29 UTC, Cornelius
Details
example file (8.50 KB, application/vnd.ms-excel)
2012-09-09 08:39 UTC, Cornelius
Details
Mean value lines are lost if saving file in XLS format (15.12 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-05-03 18:28 UTC, Cornelius
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cornelius 2012-07-01 03:22:44 UTC
Problem description: 
"Mean Value Lines" within a chart is not visible after reopen a file in xls/x file format. In odt file format it is OK.

Steps to reproduce:
1. Creat a chart with a "Mean Value Line"
2. Save file in xls or xlsx file format
3. close LibreOffice
4. open file again
5. "Mean Value Line" is not visible (i.e. it is lost)

Current behavior:
"Mean Value Line" is not visible (i.e. it is lost) within a chart after reopen a file in xls or xlsx file format.

Expected behavior:
"Mean Value Line" should be visible within a chart after reopen a file in xls or xlsx file format. 
"Trend Line" in xls or xlsx files are OK.
"Mean Value Lines" in odt files are OK.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20100101 Firefox/13.0.1
Comment 1 Noel Grandin 2012-09-06 14:27:51 UTC
Please supply a sample file that demonstrates the problem.
Comment 2 Cornelius 2012-09-06 19:25:41 UTC
Created attachment 66742 [details]
picture shows a shart with mean value lines after saving xls file.

picture shows a shart with mean value lines after saving xls file. 
Then close libre office.
Then open saved file once again.
Then shart has lost the mean value lines.
Comment 3 Cornelius 2012-09-06 19:29:35 UTC
Created attachment 66743 [details]
after reopen saved file the mean value line is not visible (i.e.lost)
Comment 4 Cornelius 2012-09-09 08:39:38 UTC
Created attachment 66875 [details]
example file

example file.
Comment 5 bfoman (inactive) 2013-01-21 11:53:15 UTC
(In reply to comment #0)
> Problem description: 
> "Mean Value Lines" within a chart is not visible after reopen a file in
> xls/x file format. In odt file format it is OK.

Confirmed with:
LO 4.0.0.1
Build ID: own W7 debug build
Windows 7 Professional SP1 64 bit
Comment 6 Cornelius 2014-12-21 17:41:07 UTC
Confirmed with version 4.3.5.2
Comment 7 Markus Mohrhard 2015-05-03 05:13:09 UTC
Do we have an OOXML file that contains a mean value line? So is it possible in MSO to create such a document?
Comment 8 Cornelius 2015-05-03 18:28:44 UTC
Created attachment 115289 [details]
Mean value lines are lost if saving file in XLS format

The attached file shows 2 "Mean Value Lines" in ods format. If you save file e.g. in XLS format and re-open file again, then the 2 "Mean Value Lines" are not visible. 
Calc version 4.3.6.2
Comment 9 Markus Mohrhard 2015-05-04 04:41:02 UTC
I don't need an ods file. I need a xlsx file containing that feature. Right now I suspect that OOXML does not support that feature as I don't know any element that would represent it.

So it would be helpful to see a OOXML file generated by MSO containing that feature.
Comment 10 QA Administrators 2016-09-20 09:42:02 UTC Comment hidden (obsolete)
Comment 11 Xisco Faulí 2017-06-12 11:23:33 UTC
Changing version back to the earliest affected version.
Comment 12 QA Administrators 2018-06-13 02:36:14 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2020-06-13 03:42:57 UTC
Dear Cornelius,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug